/**************************************************************************/
/* AN03 ( アンケート項目詳細マスタ )                                      */
/*                                                                        */
/* Created : 2010/07/09 11:19:12                                          */
/**************************************************************************/
CREATE TABLE AN03 (
   USERID  VARCHAR(10)                 NOT NULL                  /* 1  ユーザーID   */
 , CDANK   VARCHAR(10)                 NOT NULL                  /* 2  アンケートC  */
 , CDSITSU VARCHAR(10)                 NOT NULL                  /* 3  質問C        */
 , KVAL    BLOB                                                  /* 4  回答値       */
 , SEQNO   NUMERIC(7)      DEFAULT 0   NOT NULL                  /* 5  表示順       */
 , KNAME   BLOB                                                  /* 6  回答名称     */
 , IMGKVAL VARCHAR(200)                                          /* 7  回答値画像   */
 , FGOTHER VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 8  その他F      */
 , BIKO    BLOB                                                  /* 9  備考         */
 , UNIQ    BIGINT                      NOT NULL PRIMARY KEY      /* 10 ユニークキー */
 , FGJ     VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 11 状態フラグ   */
 , DYSET   VARCHAR(14)                                           /* 12 登録日時     */
 , PGSET   VARCHAR(10)                                           /* 13 作成PG       */
 , PGPSET  VARCHAR(10)                                           /* 14 作成親PG     */
 , USRSET  VARCHAR(10)                                           /* 15 作成社員     */
 , DYUPD   VARCHAR(14)                                           /* 16 更新日時     */
 , PGUPD   VARCHAR(10)                                           /* 17 更新PG       */
 , PGPUPD  VARCHAR(10)                                           /* 18 更新親PG     */
 , USRUPD  VARCHAR(10)                                           /* 19 更新者       */
);

CREATE SEQUENCE AN03S01 ;


CREATE TRIGGER AN03T01 FOR AN03
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( AN03S01,1 );
  END; 


